## com.lowagie.text.rtf.document
Class RtfCodePage

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfCodePage

All Implemented Interfaces:
  RtfBasicElement, RtfExtendedElement

    public class RtfCodePage

extends RtfElement
implements RtfExtendedElement

The RtfCodePage class allows different code pages to be used in the rtf document. Currently always ansi / ansicpg1252 Version: $Id: RtfCodePage.java,v 1.16 2005/05/04 14:33:53 blowagie Exp $

Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private static byte[]` `ANSI` Constant for ansi encoded rtf documents
`private static byte[]` `ANSI_CODEPAGE` Constant for the ansi codepage

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfCodePage(RtfDocument doc)` Construct an RtfCodePage

Method Summary
`byte[]` `writeDefinition()` Writes the selected codepage to a byte array

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument, write`

Field Detail

### ANSI

    private static final byte[] ANSI

  Constant for ansi encoded rtf documents

### ANSI_CODEPAGE

    private static final byte[] ANSI_CODEPAGE

  Constant for the ansi codepage

Constructor Detail

### RtfCodePage

    public RtfCodePage(RtfDocument doc)

  Construct an RtfCodePage

  Parameters:
    `doc` - The RtfDocument this RtfCodePage belongs to

Method Detail

### writeDefinition

    public byte[] writeDefinition()

  Writes the selected codepage to a byte array

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Returns:
    Byte array with the current codepage